broken webapp after upgrading Tomcat
0 posts in topic
Flat View  Flat View
TOPIC ACTIONS:
 

Posted By:   Alan_Shiers
Posted On:   Sunday, January 27, 2008 04:31 PM

Hi there, Hope someone can help. I was running Tomcat 5.5 and running a webapp just fine on it on a Linux server. I just upgraded to Tomcat 6.0 and copied my webapp files over to it. Theoretically it should run without a hitch but Murphy's Law is coming into play. To run a check, I also installed Tomcat 6.0 on my Windows development machine. Copied the webapp files into Tomcat there. Everything works fine there. So I'm trying to figure out what the difference is on the Linux box. Here are the specifics: My webapp has a Login.jsp file at the root of the webapp directory. That I can navigate to with no problem using http://192.168.2.120:8080/tjtapp/Login.jsp This file has a form in it that points t   More>>

Hi there,

Hope someone can help. I was running Tomcat 5.5 and running a webapp just fine on it on a Linux server. I just upgraded to Tomcat 6.0 and copied my webapp files over to it. Theoretically it should run without a hitch but Murphy's Law is coming into play. To run a check, I also installed Tomcat 6.0 on my Windows development machine. Copied the webapp files into Tomcat there. Everything works fine there. So I'm trying to figure out what the difference is on the Linux box.



Here are the specifics:



My webapp has a Login.jsp file at the root of the webapp directory. That I can navigate to with no problem using http://192.168.2.120:8080/tjtapp/Login.jsp
This file has a form in it that points to the UserID_PasswordCheck servlet. This file is described in the web.xml file with the following:




UserID_PasswordCheck
mvcs.UserID_PasswordCheck




and




UserID_PasswordCheck
/UserID_PasswordCheck/*



When I click on the Submit button from the Login.jsp page, I get the error message from the browser saying:




"The requested resource (/tjtapp/UserID_PasswordCheck) is not available"



I don't get this when I run the webapp in Windows. But I do when I try to run it on Linux.







Please advise,



Alan

   <<Less
About | Sitemap | Contact